Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ICurveTangentField.ICurveTangentFieldGeo

    java.lang.Object
      igeo.IFieldGeo
          igeo.ICurveFieldGeo
              igeo.ICurveTangentField.ICurveTangentFieldGeo

All Implemented Interfaces:
  I3DFieldI, IFieldI

Enclosing class:
  ICurveTangentField

    public static class ICurveTangentField.ICurveTangentFieldGeo

extends ICurveFieldGeo

Nested Class Summary

Nested classes/interfaces inherited from class igeo.IFieldGeo
`IFieldGeo.Decay`

Field Summary

Fields inherited from class igeo.ICurveFieldGeo
`curve, fieldCurve`

Fields inherited from class igeo.IFieldGeo
`bidirectional, constantIntensity, customDecay, decay, gaussDecay, intensity, linearDecay, noDecay, threshold`

Constructor Summary
`ICurveTangentField.ICurveTangentFieldGeo(ICurveI crv)`

Method Summary
`IVecI` | `get(IVecI v, double u)` get original field value out of curve parameter u

Methods inherited from class igeo.ICurveFieldGeo
`bidirectional, constantIntensity, del, gauss, gaussian, gaussianDecay, get, get, get, intensity, linear, linearDecay, noDecay, threshold`

Methods inherited from class igeo.IFieldGeo
`decay, decay, intensity, threshold`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface igeo.IFieldI
`decay, intensity, threshold`

Constructor Detail

### ICurveTangentField.ICurveTangentFieldGeo

    public ICurveTangentField.ICurveTangentFieldGeo(ICurveI crv)

Method Detail

### get

    public IVecI get(IVecI v,
                     double u)

  Description copied from class: `ICurveFieldGeo`
  get original field value out of curve parameter u

  Overrides:
    `get` in class `ICurveFieldGeo`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD